Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.viewer
Class ViewerPreferences

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.viewer.ViewerPreferences

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class ViewerPreferences

extends PdfObjectWrapper<PdfDictionary>

Viewer preferences [PDF:1.6:8.1].

Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `ViewerPreferences.DirectionEnum` Predominant reading order for text [PDF:1.6:8.1].

Constructor Summary
`ViewerPreferences(Document context)`

Method Summary
`ViewerPreferences` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`ViewerPreferences.DirectionEnum` | `getDirection()`
`boolean` | `isCenterWindow()`
`boolean` | `isDisplayDocTitle()`
`boolean` | `isFitWindow()`
`boolean` | `isHideMenubar()`
`boolean` | `isHideToolbar()`
`boolean` | `isHideWindowUI()`
`void` | `setCenterWindow(boolean value)`
`void` | `setDirection(ViewerPreferences.DirectionEnum value)`
`void` | `setDisplayDocTitle(boolean value)`
`void` | `setFitWindow(boolean value)`
`void` | `setHideMenubar(boolean value)`
`void` | `setHideToolbar(boolean value)`
`void` | `setHideWindowUI(boolean value)`
`static ViewerPreferences` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewerPreferences

    public ViewerPreferences(Document context)

Method Detail

### wrap

    public static ViewerPreferences wrap(PdfDirectObject baseObject)

### clone

    public ViewerPreferences clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDirection

    public ViewerPreferences.DirectionEnum getDirection()

### isCenterWindow

    public boolean isCenterWindow()

### isDisplayDocTitle

    public boolean isDisplayDocTitle()

### isFitWindow

    public boolean isFitWindow()

### isHideMenubar

    public boolean isHideMenubar()

### isHideToolbar

    public boolean isHideToolbar()

### isHideWindowUI

    public boolean isHideWindowUI()

### setCenterWindow

    public void setCenterWindow(boolean value)

### setDirection

    public void setDirection(ViewerPreferences.DirectionEnum value)

### setDisplayDocTitle

    public void setDisplayDocTitle(boolean value)

### setFitWindow

    public void setFitWindow(boolean value)

### setHideMenubar

    public void setHideMenubar(boolean value)

### setHideToolbar

    public void setHideToolbar(boolean value)

### setHideWindowUI

    public void setHideWindowUI(boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.